using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.Linq;
using System.Linq;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient; 

namespace WareHouse.frmTaghiiratsystem
{
    public partial class frmUnitjadid : Form
    {
        public void dbConnection()
        {
            SqlConnection con = new SqlConnection();
            try
            {
                con.ConnectionString = Properties.Settings.Default.DBWare_mdbConnectionString.ToString();
                SqlCommand cmd = new SqlCommand();
                DataTable dtb = new DataTable();
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                cmd.Connection = con;
                cmd.CommandText = @"SELECT UnitID, UnitName FROM Units order by UnitID DESC";
                con.Open();
                da.Fill(dtb);
                dgrdUnit.DataSource = dtb;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                con.Close();
            }
        }
        public void frmFarsi()
        {
            InputLanguage.CurrentInputLanguage = InputLanguage.FromCulture(System.Globalization.CultureInfo.CreateSpecificCulture("Fa-Ir"));  
        }
        public frmUnitjadid()
        {
            InitializeComponent();
        }

        private void frmUnitjadid_Load(object sender, EventArgs e)
        {
            clasFolder.clasFarsi farMe = new clasFolder.clasFarsi();
            farMe.farFunction();  
            frmFarsi();
            dbConnection();
        }

        private void btnAdd_Click_1(object sender, EventArgs e)
        {
            txtUnit.Text = String.Empty;
            btnAdd.SendToBack();
            Btn_Save.BringToFront();
            MessageBox.Show("لطفا اطلاعات را وارد نمایید");
       }

        private void Btn_Save_Click(object sender, EventArgs e)
        {
            SqlConnection con = new SqlConnection();
            con.ConnectionString = Properties.Settings.Default.DBWare_mdbConnectionString.ToString();
            SqlCommand cmd = new SqlCommand();
            cmd.Connection = con;
            cmd.CommandText = "insert into Units (UnitName)values('" + txtUnit.Text.Trim() + "')";
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
            dbConnection();
            txtUnit.Clear();  
            
            dbConnection();

            btnAdd.BringToFront();
            Btn_Save.SendToBack();
        }

        private void dgrdUnit_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            Int32 selectedCellCount = dgrdUnit.GetCellCount(DataGridViewElementStates.Selected);
            String Str_Fcode = String.Empty;
            String Str_FStr = String.Empty;

            if (selectedCellCount > 0)
            {
                if (dgrdUnit.AreAllCellsSelected(true))
                {
                    MessageBox.Show("All cells are selected", "Selected Cells");
                }
                else
                {
                    System.Text.StringBuilder sb = new System.Text.StringBuilder();

                    for (int i = 0; i < selectedCellCount; i++)
                    {
                        Str_Fcode = dgrdUnit.Rows[int.Parse(dgrdUnit.SelectedCells[i].RowIndex.ToString())].Cells[0].Value.ToString();
                        Str_FStr = dgrdUnit.Rows[int.Parse(dgrdUnit.SelectedCells[i].RowIndex.ToString())].Cells[1].Value.ToString();
                    }
                    Txt_VahedCode.Text = Str_Fcode;
                    txtUnit.Text = Str_FStr;

                }
            }
        }

        private void Btn_Edit_Click(object sender, EventArgs e)
        {
            if (Txt_VahedCode.Text == "")
            {
                MessageBox.Show("واحدی برای ویرایش انتخاب نشده است");
                return;
            }
            if (txtUnit.Text == "")
            {
                MessageBox.Show("لطفا عنوان واحد را وارد نمایید");
                return;
            }
            DialogResult dr = MessageBox.Show("آیا نسبت به عمل ویرایش رکورد اطمینان دارید", "اخطار ویرایش", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning);
            if (dr == DialogResult.OK)
            {
                Lsc_AnbarDataContext db = new Lsc_AnbarDataContext();
                Unit EdtUnit = db.Units.Single(n => n.UnitID == int.Parse(Txt_VahedCode.Text.Trim()));
                EdtUnit.UnitName = txtUnit.Text;
                db.SubmitChanges();
                dbConnection();
                txtUnit.Clear();
                Txt_VahedCode.Clear();
            }
        }

        private void Btn_Delete_Click(object sender, EventArgs e)
        {
            if (Txt_VahedCode.Text == "")
            {
                MessageBox.Show("واحدی برای حذف انتخاب نشده است");
                return;
            }
            DialogResult dr = MessageBox.Show("آیا نسبت به عمل حذف رکورد اطمینان دارید", "اخطار حذف", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning);
            if (dr == DialogResult.OK)
            {
                Lsc_AnbarDataContext db = new Lsc_AnbarDataContext();
                try
                {
                    Unit DelUnit = db.Units.Single(n => n.UnitID == int.Parse(Txt_VahedCode.Text.Trim()));
                    db.Units.DeleteOnSubmit(DelUnit);
                    db.SubmitChanges();
                    dbConnection();
                    txtUnit.Clear();
                    Txt_VahedCode.Clear();
                    MessageBox.Show("رکورد مورد نظر حذف گردید");
                }
                catch
                {
                    MessageBox.Show("واحدی برای حذف انتخاب نشده است");
                    return;
                }

            }
        }
    }
}